<% content_for :title, "Title for specific page" %>

<%= form_with(model: location) do |form| %>
  <% if location.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(location.errors.count, "error") %> prohibited this location from being saved:</h2>

      <ul>
        <% location.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <form>
    <div class="mb-3">
      <label for="exampleInputEmail1" class="form-label">Titre de l'annonce</label>
      <%= form.text_field :titre, required: true, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Nombre de chambre</label>
      <%= form.number_field :nbChambre, required: true, min:0, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Nombre de couchage</label>
      <%= form.number_field :nbCouchage, required: true, min:0, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Description</label>
      <%= form.text_area :desc, required: true, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Type de logement</label>
      <%= form.text_field :v_type, required: true, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Adresse</label>
      <%= form.text_field :address, required: true, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Rue</label>
      <%= form.text_field :street, required: true, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Code postal</label>
      <%= form.number_field :zip, required: true, min:0, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Ville</label>
      <%= form.text_field :city, required: true, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Latitude</label>
      <%= form.text_field :lat, required: true, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Longitude</label>
      <%= form.text_field :long, required: true, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Prix</label>
      <%= form.number_field :price, required: true, min:0, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Photos</label>
      <%= form.text_field :photos, required: true, class: 'form-control' %>
    </div>
    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Taxe de séjour</label>
      <%= form.number_field :taxesjr, required: true, class: 'form-control' %>
    </div>

    <%= link_to 'Annuler', :back, class: 'btn btn-danger', style: "color:white" %>
    <%= form.submit "Sauvegarder l'annonce", class: 'btn btn-success' %>
</form>
<br>

<% end %>
